#ifndef INC_GTSLINK_H
#define INC_GTSLINK_H

/************************************************************************\
*
* Module for single linked lists.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

typedef struct GtSLink
{
	struct GtSLink *next;
} GtSLink;

/* Function prototypes */

void GtSInit(GtSLink *sl);
void GtSAddHead(GtSLink *hd,GtSLink *sl);
void GtSAddTail(GtSLink *hd,GtSLink *sl);
void GtSAddAt(GtSLink *hd,GtSLink *sl,unsigned long pos);
void GtSRemove(GtSLink *hd,GtSLink *sl);
GtSLink *GtSRemHead(GtSLink *hd);
GtSLink *GtSFirst(GtSLink *hd);
GtSLink *GtSNext(GtSLink *sl);

#endif /* INC_GTSLINK_H */
